#define F_CPU 16000000

#include <avr/io.h>
#include <util/delay.h>

int main() {
	/* Setez pinul PA0 ca intrare. */
	DDRA &= ~(1 << PA0);

	/* Activez rezistenta de pull-up pentru pinul PA0. */
	PORTA |= (1 << PA0);

	/* Setez pinul PD7 ca iesire. */
	DDRD |= (1 << PD7);
	
	/* Sting LED-ul. */
	PORTD &= ~(1 << PD7);

	while (1) {
		/* Daca este zgomot aprind ledul. */
		if ((PINA & (1 << PA0)) == 1)
			/* Aprind LED-ul. */
			PORTD |= (1 << PD7);
		else
			/* Sting LED-ul. */
			PORTD &= ~(1 << PD7);
	}
	
	return 0;
}